Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Creating SAP Key

search

Please Note:

Creating SAP Key

Use the post /v1/cckm/sap/keys API to create a SAP key.

Syntax

curl -k '<IP>/api/v1/cckm/sap/keys' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthentication token.
groupstringName or ID of the group where the key is to be created.
namestringName for the key.
operationsarray of stringsCryptographic operations allowed to the key. Possible values are:
• ENCRYPT
• DECRYPT
• SIGN
• VERIFY
• WRAP
• UNWRAP
typestringType of the key. Possible values are:
• AES
• RSA
• EC
curvestringElliptic curve to be used to create the key. Possible values are:
• NistP192
• NistP224
• NistP256
• NistP384
• NistP521
• SecP192K1
• SecP224K1
• SecP256K1
descriptionstringDescription of the key.
exportablebooleanWhether the key is exportable. Set to true to make the key exportable. Set to false to make the key non-exportable.
sizeintegerSize of the key.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/keys' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmMDYzMTBmYy02NGVhLTQ4OTgtYmI3Mi05YTIwYzBkOTUxYzIiLCJzdWIiOiJsb2NhbHxmYzg2MjhkMC1mNjczLTRhMWYtYjQ3Yi1hM2I0ODVhMWU3OTQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiYzk4YzkyZTUtMjM0OS00YzU5LWJlZWYtODc2OTQ4ZjIwNzM0Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImEwM2I1N2Y0LTg5N2UtNDg2NS1iODk1LTM2ODE5MjNjODUwNSIsImlhdCI6MTYzMzMyMTQyNSwiZXhwIjoxNjMzMzIxNzI1fQ.hmOX5tKRWYYpIDOgLwMXfjMLjdv8O2NRf7Zs04Kwv3A' --compressed

Example Response

{
    "id":"d109deae-5ca7-421d-bf49-637e65c3bbcb",
    "uri":"kylo:kylo:cckm:sap-key:testsapkey1-38ae47c5-296f-4b24-9016-82212cd9360c",
    "account":"kylo:kylo:admin:accounts:kylo",
    "createdAt":"2021-10-18T04:24:18.885090127Z",
    "updatedAt":"2021-10-18T04:24:18.883559419Z",
    "cloud_name":"sap",
    "tenant":"thales-preprod",
    "sap_param":{
        "description":"",
        "enabled":true,
        "exportable":false,
        "groupId":"489ac34d-3e9c-4be3-8c1c-2c383bf31461",
        "sap_key_id":"d109deae-5ca7-421d-bf49-637e65c3bbcb",
        "keystoreContext":{
            "customerHeld":false
        },
        "meta":{
            "created":"2021-10-18T04:24:18.246342",
            "creatorId":"69f41156-5197-490d-aa5f-f1ffb0ab4e66",
            "creatorName":"creator.name@xyz.com",
            "imported":false,
            "primaryVersion":0,
            "totalVersions":1
        },
        "name":"TestSapKey1",
        "operations":[
            "DECRYPT",
            "ENCRYPT"
        ],
        "role":"UNSPECIFIED",
        "size":256,
        "type":"AES"
    },
    "cckm_group_name":"Gooey_1",
    "cckm_group_id":"901c5559-31d0-467e-ac3c-dd5000850085",
    "backup_blob":"",
    "gone":false,
    "origin":"native",
    "auto_rotate":false,
    "sap_application":"S4H",
    "sap_group_name":"Gooey_1",
    "Deleted":false
}

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.